export default {
  name: 'MyWorkbenches',
  path: '/my-workbenches',
  redirect: '/my-workbenches/workbenches',
  meta: {
    title: '我的工作台',
    sort: 0,
    isModule: true,
    alias: 'workManage',
  },
  children: [
    {
      name: 'Workbenches',
      path: '/my-workbenches/workbenches',
      redirect: '/my-workbenches/workbenches/message-reminder',
      meta: {
        title: '工作台',
        sort: 1,
        icon: 'app',
        alias: 'workChildManage',
      },
      children: [
        {
          name: 'MessageReminder',
          path: '/my-workbenches/workbenches/message-reminder',
          component: () =>
            import(
              '@/views/my-workbenches/workbenches/message-reminder/index.vue'
            ),
          meta: {
            title: '消息提醒',
            sort: 1,
            alias: 'message',
          },
        },
        {
          name: 'MyTasks',
          path: '/my-workbenches/workbenches/my-waits',
          component: () =>
            import('@/views/my-workbenches/workbenches/my-waits/index.vue'),
          meta: {
            title: '待办任务',
            sort: 2,
            alias: 'work',
          },
        },
        {
          name: 'Notice',
          path: '/my-workbenches/workbenches/notice',
          component: () =>
            import('@/views/my-workbenches/workbenches/notice/index.vue'),
          meta: {
            title: '通知公告',
            sort: 3,
            alias: 'notice',
          },
        },
      ],
    },
  ],
};
