import { request } from '@/utils/request.js';
import { getFileMD5 } from '@/utils/crypto.js';
//上传附件接口
export const uploadFiles = (formData, md5) => {
  return request({
    url: '/api/admin/common/file/upload',
    method: 'post',
    data: formData,
    headers: {
      md5,
      'Content-Type': 'multipart/form-data',
    },
  });
};
